Home · Quickstart · User Guide and Examples · Interfaces Index · Developers · About · Nipy

# nipype.pipeline.plugins.linear module

Local serial workflow execution

class nipype.pipeline.plugins.linear.LinearPlugin(plugin_args=None)

  Bases: `nipype.pipeline.plugins.base.PluginBase`

  Execute workflow in series

  run(graph, config, updatehash=False)

    Executes a pre-defined pipeline in a serial order.

    Parameters

      graph (networkx digraph) – defines order of execution